# Generated by Django 2.1.1 on 2018-11-28 19:41

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='sms',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name='id')),
                ('phoneNumber', models.CharField(max_length=12, validators=[django.core.validators.RegexValidator(message='Номер должен быть в формате +79999999999', regex='^((8|\\+7)[\\- ]?)?(\\(?\\d{3}\\)?[\\- ]?)?[\\d\\- ]{7,10}$')], verbose_name='Номер телефона')),
                ('code', models.CharField(blank=True, max_length=4, null=True, verbose_name='Код')),
                ('isconfirmed', models.BooleanField(default=False, verbose_name='Подтверждено')),
                ('userid', models.IntegerField(blank=True, null=True, verbose_name='Пользователь')),
                ('datetime', models.DateTimeField(auto_now_add=True, verbose_name='Время отправки запроса')),
            ],
            options={
                'verbose_name': 'СМС',
                'verbose_name_plural': 'СМС',
            },
        ),
    ]
